Scraper apiV1Webhooks

Update a Webhook

Coming soon

This endpoint is documented but not yet available in production. The contract below reflects the planned behavior. Reach out via support for early access or launch notification.

Partially update a webhook's url, description, event type, or active flag

PATCH
/v1/webhooks/{webhook_id}
X-Api-Key<token>

In: header

Path Parameters

webhook_idstring
Formatuuid
url?string|null
description?string|null
is_active?boolean|null
event_type?string|null
Value in"extract_completed" | "batch_completed" | "crawl_completed"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://scraper.geonode.io/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "url": "string",
  "description": "string",
  "is_active": true,
  "event_type": "extract_completed",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}